Subject: Re: bug#33990: 27.0.50; image-transform-fit-to-height/-width violates assert

From: Benjamin Riefenstahl <[email-masked]>
Date: Sat, 19 Jan 2019 18:21:06 +0100

Hi Eli,
 
Eli Zaretskii writes:
> I understand these are not recent regressions?  If so, I think the
> master branch is where they should go.  But if you think the bug is
> grave enough, I could consider them for the emacs-26 branch instead.

It seems that automatic scaling was added to create-image in february
2016, so the bug may have been there since than.

How about fixing the bug and documentation on emacs-26 (patches 1 and 2)
and making the behaviour change (patch 3) on master?  I think the bug
fix (patch 1) is obviously right and not likely to cause problems.
OTOH, without it, once I had invoked an image transform I could not use
image-mode for any new images any more in that same Emacs session.

Thanks, benny